<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->
<componentspec>
  <property name="instep_opcode_passthrough" type="bool" writable="false" parameter="true" default="false"
    description="When true opcodes from the instep port are passed to the output, when false opcodes from the input port are passed
      to the output."/>
  <property name="carrier_amplitude" type="ushort" writable="true" default="14060"
    description="Amplitude of the carrier mixed with the input signal. Set to :math:`\left \lfloor
      \frac{\text{desired_maximum}}{1.646760258} \right \rfloor`."/>
  <port name="input" producer="false" protocol="complex_short_timed_sample-prot"/>
  <port name="instep" producer="false" protocol="long_timed_sample-prot"/>
  <port name="output" producer="true" protocol="complex_short_timed_sample-prot"/>
</componentspec>
